Subject: bug#45012: 27.1.50; Emacs 27.1 release archive missing emacs-module.h

From: Philipp Stephani <[email-masked]>
Date: Wed, 2 Dec 2020 19:47:49 +0100

Am Mi., 2. Dez. 2020 um 19:33 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Wed, 2 Dec 2020 19:11:44 +0100
> > Cc: [email-masked]
> >
> > >   commit 1043cd30acffcc0b61da4a80dcf3f8a5ac459267
> > >   Author:     Paul Eggert <[email-masked]>
> > >   AuthorDate: Sat Jun 8 14:08:05 2019 -0700
> > >   Commit:     Paul Eggert <[email-masked]>
> > >   CommitDate: Sat Jun 8 14:42:10 2019 -0700
> > >
> > >       Fix out-of-source make-dist problems
> > >
> > >       Problem with jisx2131-filter reported by Phillip Lord in:
> > >       https://lists.gnu.org/r/emacs-devel/2019-06/msg00147.html
> > >       * admin/charsets/Makefile.in (SED_SCRIPT):
> > >       Put it in $(srcdir), which is not necessarily the working directory.
> > >       ($(SED_SCRIPT)): Rename from jisx2131-filter.  All uses changed.
> > >       (clean): Do not remove SED_SCRIPT.
> > >       (extraclean): Remove it here instead.
> > >       * make-dist (possibly_non_vc_files): Remove src/emacs-module.h.
> > >       Although it is portable and could be distributed in the tarball,
> > >       it's too much hassle to do that, so let each builder make it.
> > >
> > > Wasn't there some discussion about the problems with distributing it,
> > > as it is not entirely portable?
> >
> > If so, then we need to fix that. emacs-module.h must be 100% portable.
>
> Why is it a problem that emacs-module.h is built as part of Emacs?

How is that related? emacs-module.h is just a textual concatenation of
various fragments. There's nothing platform-specific that's part of
its build process.
A module author shouldn't need to care about whether emacs-module.h is
checked in or created by configure; it should just be part of the
release.